#include "Karta.h"
#include <sstream>

Karta::Karta() : barva(barva::NEZNANA), vrednost(-1) {}
Karta::Karta(const Karta &k) : barva(k.barva), vrednost(k.vrednost) { }
Karta::Karta(const Barva _barva, const int _vrednost) : barva(_barva), vrednost(_vrednost) { }
Karta::~Karta() { }

Karta::Karta(const std::string s) {
	barva = barva::vBarvo(s[0]);
	vrednost = atoi(s.substr(1, s.length() - 1).c_str());
}

int Karta::stTock() const {
	if (barva != barva::TAROK)
    {
        switch (vrednost)
        {
            case 11: return 4;
            case 12: return 7;
            case 13: return 10;
            case 14: return 13;
            default: return 1;
        }
    }
    else
    {
        if ((vrednost == 1) || (vrednost == 21) || (vrednost == 22)) return 13;
        else return 1;
    }
}

string Karta::toString() const {
	return barva::vString(barva) + intToStr(vrednost);
}

bool Karta::operator==(const Karta &b) {
	return barva == b.barva && vrednost == b.vrednost;
}

Karta& Karta::operator=(const Karta &k) {
	barva = k.barva;
	vrednost = k.vrednost;
	return *this;
}
