#ifndef _uporabno_h
#define _uporabno_h

#include <vector>
#include <string>
#include <algorithm>
using namespace std;

namespace barva {
	enum Barva { TAROK=0, KARO=1, SRCE=2, KRIZ=3, PIK=4, NEZNANA=-1 };
	string vString(Barva barva);
	Barva vBarvo(char c);
};

class Karta;
typedef vector<Karta> KartaV;
int steviloTock(const KartaV &karte);
string KartaVString(const KartaV &karte);
KartaV stringVKarteN(int slice, vector<string> &s);
KartaV stringVKarteN(vector<string> &s);

string intToStr(const int x);

KartaV veljavnePoteze(const KartaV &mojeKarte, const KartaV &karteNaMizi);

template<typename T> vector<T> conc(const vector<T> &a, const vector<T> &b) {
	vector<T> ret;
	ret.insert(ret.begin(), a.begin(), a.end());
	ret.insert(ret.begin(), b.begin(), b.end());
	return ret;
}

template<typename T> vector<T> diff(const vector<T> &a, const vector<T> &b) {
	vector<T> ret(a);
	for (vector<T>::const_iterator it=b.begin();it<b.end();it++) {
		vector<T>::iterator f = find(ret.begin(), ret.end(), *it);
		if (f != ret.end()) ret.erase(f);
	}
	return ret;
}

template<typename T> vector<T> diff(const vector<T> &a, const T &b) {
	vector<T> ret(a);
	ret.erase(find(ret.begin(), ret.end(), b));
	return ret;
}

#endif
